namespace InABox.Core
{
    public abstract class DigitalFormInstanceLookups<TEntity,TLink,TForm> : EntityLookup<TForm> 
        where TEntity : Entity
        where TLink : BaseObject, IEntityLink<TEntity>, new()
        where TForm : EntityForm<TEntity,TLink,TForm>, new()
    {
        public override Filter<TForm>? DefineFilter() => null;

        public override SortOrder<TForm> DefineSortOrder() =>
            new SortOrder<TForm>(x => x.Number, SortDirection.Ascending);
    }
}